=== src/amdgpu-18.20-642917/scheduler/backport/Makefile ===

LINUXINCLUDE := $(DKMS_INCLUDE_PREFIX) $(LINUXINCLUDE)

ccflags-y += \
	-I$(SCHED_FULL_PATH) \
	-include backport/backport.h
