=== src/amdgpu-18.20-642917/amd/amdkfd/backport/Makefile ===


LINUXINCLUDE := $(DKMS_INCLUDE_PREFIX) $(LINUXINCLUDE)

ccflags-y += \
	-include $(AMDKFD_FULL_PATH)/backport/backport.h
