=== debian/changelog ===
oem-amdgpu-cmit-lp1779833 (1.0stella4) xenial; urgency=medium

  * Upgrade amdgpu to 18.20-642917 to fix dkms built failed in kernel version
    4.15.0.33 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 27 Aug 2018 17:44:12 +0800

oem-amdgpu-cmit-lp1779833 (1.0stella3) xenial; urgency=medium

  * Change the package name to oem-amdgpu-cmit-lp1779833 and upgrade amdgpu to
    18.20-637035 

 -- hugh chao <hugh.chao@canonical.com>  Mon, 27 Aug 2018 16:56:12 +0800

oem-amdgpu-18.20-608247-cmit-lp1779833 (1.0stella2) xenial; urgency=medium

  * Bump version

 -- hugh chao <hugh.chao@canonical.com>  Mon, 16 Jul 2018 11:28:48 +0800

oem-amdgpu-18.20-608247-cmit-lp1779833 (1.0stella1) xenial; urgency=medium

  * Initial release for online update ampgpu 18.20-608247 in cmit 705 G3 SFF (Lp: #1779833) 

 -- hugh chao <hugh.chao@canonical.com>  Fri, 13 Jul 2018 13:55:35 +0800
