=== debian/control ===
Source: oem-amdgpu-cmit-lp1779833
Section: misc
Priority: optional
Maintainer: Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 9), dh-modaliases, dh-systemd
Standards-Version: 3.9.7
Vcs-Git: lp:~stella-team/columbia/+git/oem-amdgpu-cmit-lp1779833

Package: oem-amdgpu-cmit-lp1779833
Architecture: all
Depends: ${misc:Depends}
Description: amdgpu non-pro DKMS from AMD
 With this AMD driver, you can use AMD graphics normally.
